;object:
;DWORD [object] = VTable Pointer
;DWORD [object+4] = n/a
;DWORD [object+8] = game speed to set
;DWORD [object+12] = run once value
;       bit 0 = should be run only once?
;       bit 1 = has been run once? (only valid if bit 0 set)
;DWORD [object+16] = initial run once value (for re-init)

AT101MAIN:
cmp BYTE [ecx+12],3
jz RunAlreadyOnce101
	or DWORD [ecx+12],2	;set run once bit
push esi
mov esi,[BaseData]

	mov eax,[ecx+8]
	mov edx,[GameSpeedVarADDR]
	mov [NormalGameSpeed],eax
	mov [edx],eax
pop esi
RunAlreadyOnce101:
ret

;==========================================================
AT101_REINIT:
mov eax,[ecx+16]
mov [ecx+12],eax
mov eax,[esp+4] 	;standard
ret 4