;===============================================================
;final CAnimal instance called code
;===============================================================
;NOTE: some of the CAnimal values/members are updated upon level
;restart (i.e., health) while others are not (i.e., Wake values).

CANIMAL_INIT_END_DEST	dd     CANIMAL_INIT_END

CANIMAL_INIT_END:
mov edi,eax		;edi = CAnimal object

cmp eax,2
jb ExitCAnimalBufferCreate

mov esi,[BaseData]
call ModifyCAnimal_ONCEONLY
;===============================================================
;adds last instance to list of CAnimal instances
;===============================================================
       cmp [New_CAnimal_BUF],0
       jz AddToBuf_CANIMAL

       cmp [CAnimal_BUF],0
       jz NoPreviousBUFRelease
	  invoke LocalFree,[CAnimal_BUF]
	  and [CAnimal_BUF],0
	  and [CAnimal_BUF_SIZE],0
       NoPreviousBUFRelease:

invoke LocalAlloc,LMEM_FIXED,4
       test eax,eax
       jz ExitCAnimalBufferCreate

       mov [CAnimal_BUF],eax
       mov [CAnimal_BUF_SIZE],4
       and [New_CAnimal_BUF],0
       mov [eax],edi
       jmp ExitCAnimalBufferCreate

AddToBuf_CANIMAL:
       mov eax,[CAnimal_BUF_SIZE]
       add eax,4
invoke LocalReAlloc,[CAnimal_BUF],eax,LMEM_MOVEABLE
       test eax,eax
       jz ExitCAnimalBufferCreate
       mov [CAnimal_BUF],eax
       add eax,[CAnimal_BUF_SIZE]
       add [CAnimal_BUF_SIZE],4
       mov [eax],edi			;store CAnimal object pointer

;===============================================================
ExitCAnimalBufferCreate:
	mov eax,edi
	;REPLACED CODE
	pop edi
	pop esi
	pop ebp
	pop ebx
	add esp,0C0h
	ret

;===============================================================
ModifyCAnimal_ONCEONLY:
;===============================================================

;add to instance's Sleep/WakeUp values (not updated after level restart)

     mov edx,[edi+0DCh] 	;sub-object (which contains some Actxxxx objects)
;add to WakeUp
     fld DWORD [edx+340h]
     fadd [UseSleepWake]
     fstp DWORD [edx+340h]
;add to Sleep
     fld DWORD [edx+344h]
     fadd [UseSleepWake]
     fstp DWORD [edx+344h]
;================================================================
ret